WP5DefinitionGroup Class Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
WP5DefinitionGroup Class Reference

`#include <WP5DefinitionGroup.h>`

Inheritance diagram for WP5DefinitionGroup:

## Public Member Functions
| WP5DefinitionGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP5DefinitionGroup () override
void | parse (WP5Listener *listener) override
Public Member Functions inherited from WP5VariableLengthGroup
| WP5VariableLengthGroup ()
| ~WP5VariableLengthGroup () override
Public Member Functions inherited from WP5Part
virtual | ~WP5Part ()
virtual void | parse (WP5Listener *listener)=0

## Protected Member Functions
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
Protected Member Functions inherited from WP5VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual void | _readContents (librevenge::RVNGInputStream *, WPXEncryption *)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Private Member Functions
| WP5DefinitionGroup (const WP5DefinitionGroup &)
WP5DefinitionGroup & | operator= (const WP5DefinitionGroup &)

## Private Attributes
std::unique_ptr< WP5VariableLengthGroup_SubGroup > | m_subGroupData

## Additional Inherited Members
Static Public Member Functions inherited from WP5VariableLengthGroup
static WP5VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP5Part
static WP5Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

## ◆ WP5DefinitionGroup() [1/2]

WP5DefinitionGroup::WP5DefinitionGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

## ◆ ~WP5DefinitionGroup()

WP5DefinitionGroup::~WP5DefinitionGroup | ( |  | ) |
| override

## ◆ WP5DefinitionGroup() [2/2]

WP5DefinitionGroup::WP5DefinitionGroup | ( | const WP5DefinitionGroup & |  | ) |
| private

## Member Function Documentation

## ◆ _readContents()

void WP5DefinitionGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| overrideprotectedvirtual

Reimplemented from WP5VariableLengthGroup.

## ◆ operator=()

WP5DefinitionGroup & WP5DefinitionGroup::operator= | ( | const WP5DefinitionGroup & |  | ) |
| private

## ◆ parse()

void WP5DefinitionGroup::parse | ( | WP5Listener * | listener | ) |
| overridevirtual

Implements WP5Part.

## Member Data Documentation

## ◆ m_subGroupData

std::unique_ptr<WP5VariableLengthGroup_SubGroup> WP5DefinitionGroup::m_subGroupData
| private

Referenced by _readContents(), and parse().

The documentation for this class was generated from the following files:

- WP5DefinitionGroup.h
- WP5DefinitionGroup.cpp